> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qcall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base Entry

> Deletes a single entry (question/answer pair or text chunk) from a knowledge base without re-embedding the whole knowledge base.

Deletes a single entry (question/answer pair or text chunk) from a knowledge base without re-embedding the whole knowledge base.


## OpenAPI

````yaml DELETE /knowledgeBase/chunks/delete?id={id}
openapi: 3.0.1
info:
  title: QCall Ai API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.qcall.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /knowledgeBase/chunks/delete?id={id}:
    delete:
      description: >-
        Deletes a single entry (question/answer pair or text chunk) from a
        knowledge base without re-embedding the whole knowledge base.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The `hash_id` of the knowledge base
      requestBody:
        description: Entry to delete
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteChunkRequest'
        required: true
      responses:
        '200':
          description: Entry deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the request succeeded
                  message:
                    type: string
                    description: Response message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DeleteChunkRequest:
      required:
        - node_id
        - node_type
      type: object
      properties:
        node_id:
          description: The id of the entry to delete
          type: string
        node_type:
          description: The type of the entry, e.g. `Question`
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````